﻿@model  List<StockModelView>

<div id="TableItems" class="stockTableScrollable">
    <table class="table table-condensed table-striped" style="border-collapse:collapse;">
        <thead>
            <tr>
                <th>WH Code</th>
                <th>WH Name</th>
                <th>@PurchaseOrders.IS</th>
                <th>@PurchaseOrders.Ordered</th>
                <th>@PurchaseOrders.Committed</th>
                <th>@PurchaseOrders.Available</th>
                <th>&nbsp;</th>
            </tr>
        </thead>
        <tbody>

            @if (Model != null)
            {
                foreach (StockModelView item in Model)
                {
                    <tr data-toggle="collapse" data-target="#tdInfo-@item.ItemCode-@item.WhsCode" class="accordion-toggle">
                        <td>@item.WhsCode</td>
                        <td>@item.WhsName</td>
                        <td>@String.Format(CultureInfo.InvariantCulture, "{0:0.00}", item.OnHand)</td>
                        <td>@String.Format(CultureInfo.InvariantCulture, "{0:0.00}", item.OnOrder)</td>
                        <td>@String.Format(CultureInfo.InvariantCulture, "{0:0.00}", item.IsCommited)</td>
                        <td>@String.Format(CultureInfo.InvariantCulture, "{0:0.00}", item.Available)</td>
                        <td>
                            <a id="link-@item.ItemCode-@item.WhsCode" href='#collapse-@item.ItemCode-@item.WhsCode' data-parent="#styleTable" data-toggle="collapse" class="btn btn-primary btn-xs pull-right" onclick="showATP('@item.ItemCode','@item.WhsCode');"><span class="glyphicon glyphicon-eye-open"></span>&nbsp;ATP</a>
                        </td>
                    </tr>
                    <tr>
                        <td colspan="12" class="hiddenRow">
                            <div id="tdInfo-@item.ItemCode-@item.WhsCode" class="accordian-body collapse">
                            </div>
                        </td>
                    </tr>
                }
            }

        </tbody>
    </table>
</div>